body {
  font-family: 'Poppins', sans-serif;
  margin: 0; 
  background-color: rgb(3, 7, 27) !important;
}
html {
  scroll-behavior: smooth;
  
}
section {
  padding: 60px 0px;
}
h2{
    /* color: #6199f9; */
    
    text-align: center;
   padding-bottom: 20px;
    background: linear-gradient(
    270deg,
    #38bdf8,
    #6366f1,
    #ec4899,
    #38bdf8
  );
  background-size: 600% 600%;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: gradientMove 6s ease infinite;
}

@keyframes gradientMove {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}



.navbar {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1000;
  background-color:  #70a3f9;
  opacity: 0.8;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;

}

.navbar ul {
  
  
  /* gap: 50px;    */
  
   list-style: none;
  display: flex;
  justify-content: space-between; /* يوزع العناصر على كامل العرض */
  align-items: center;
  padding: 0 50px; /* padding يمين وشمال يتحكم في مسافة العناصر من أطراف الشاشة */
  margin: 0;
  font-size: 18px;
  
  
}
.navbar ul li{
  position: relative;
  margin: 0 ;   
  padding: 5px 0;
  
  
}
@media (max-width: 992px){
  .navbar ul{
    padding: 5px 20px;
  }

  .navbar ul li{
    margin: 0 15px;
  }

  .navbar a{
    padding: 5px 10px;
    display: block;
  }
}

.navbar a {
  text-decoration: none;
  /* position: relative; */
  padding: 5px 20px ;
  
  display: block;
  padding: 5px 15px;
   
  
  
  font-weight: 500;
  color: rgb(255, 255, 255);
}
.navbar ul a::after{
    position: absolute;
    content: "";
    width: 2px;
    height: 0;
    bottom: 0;
    left: 0;
    background-color:  rgb(5, 10, 40);
    opacity: 0;
}
.navbar ul a:hover::after{
    width: 2px;
    height: 100%;
    opacity: 1;
    transition: 1s;
}
.navbar ul a::before{
    position: absolute;
    content: "";
    width: 2px;
    height: 0;
    top: 0;
    right: 0;
    background-color:  rgb(5, 10, 40);
    opacity: 0;
}
.navbar ul a:hover::before{
    width: 2px;
    height: 100%;
    opacity: 1;
    transition: 1s;
}

.navbar ul li::after{
    position: absolute;
    content: "";
    height: 2px;
    width: 0;
    top: 0;
    left: 0;
    background-color:  rgb(5, 10, 40);
    opacity: 0;
}
.navbar ul li:hover::after{
    height:  2px;
    width: 100%;
    opacity: 1;
    transition: 1s;
}
.navbar ul li::before{
    position: absolute;
    content: "";
    width: 0px;
    height: 2px;
    bottom:  0;
    right: 0;
    background-color:  rgb(5, 10, 40);
    opacity: 0;
}
.navbar ul li:hover::before{
    width: 100%;
    height: 2px;
    opacity: 1;
    transition: 1s;
}

.navbar a:hover {
  color: #000000;
  opacity: 1;
}
/* ////////////////////////////////////////////////////////////////////////////////////////////////////////// */

.hero {
  
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  overflow: hidden;
}
.stars span {
  position: absolute;
  width: 15px;
  height: 15px;
  background: #fafaf9;
  /* background: linear-gradient(
    270deg,
    #38bdf8,
    #6366f1,
    #ec4899,
    #38bdf8
  ); */
  clip-path: polygon(
    50% 0%, 61% 35%, 98% 35%, 
    68% 57%, 79% 91%, 50% 70%, 
    21% 91%, 32% 57%, 2% 35%, 
    39% 35%
  );
  opacity: 0;
  animation: twinkle 4s infinite ease-in-out;
}

/* أماكن النجوم */
.stars span:nth-child(1) { top: 35%; left: 15%; animation-delay: 0s; }
.stars span:nth-child(2) { top: 35%; left: 70%; animation-delay: 1s; }
.stars span:nth-child(3) { top: 60%; left: 30%; animation-delay: 2s; }
.stars span:nth-child(4) { top: 10%; left: 85%; animation-delay: 3s; }
.stars span:nth-child(5) { top: 50%; left: 10%; animation-delay: 1.5s; }
.stars span:nth-child(6) { top: 60%; right: 30%; animation-delay: 2s; }
.stars span:nth-child(7) { top: 10%; right: 85%; animation-delay: 3s; }
.stars span:nth-child(8) { top: 50%; left: 90%; animation-delay: 1.5s; }
.stars span:nth-child(9) { top: 85%; right: 85%; animation-delay: 3s; }
.stars span:nth-child(10) { top: 85%; left: 90%; animation-delay: 1.5s; }

@keyframes twinkle {
  0% {
    opacity: 0;
    transform: scale(0.5);
  }
  50% {
    opacity: 0.8;
    transform: scale(1);
  }
  100% {
    opacity: 0;
    transform: scale(0.5);
  }
}
.hero {
  text-align: center;
  padding: 180px 0;
  color: #6199f9;
}

.hero p{
    color: #ffffff;
    font-size: 18px;
}
.information img{
  width: 200px;
  height: 200px;
  border-radius: 50%;
}
.information h1{
  color: white;
  margin-bottom: 20px;
}
.hero {
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  /* padding-left: 10%; */
}

.name {
  color: #ffffff;
}

.typing {
  border-right: 2px solid #38bdf8;
  padding-right: 5px;
}



.gradient-text {
  background: linear-gradient(
    270deg,
    #38bdf8,
    #6366f1,
    #ec4899,
    #38bdf8
  );
  background-size: 600% 600%;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: gradientMove 6s ease infinite;
}

@keyframes gradientMove {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}
/* ///////////////////////////////////////////////////////////////////////////////////////////////// */

#about p{
    line-height: 28px;
    color: rgb(221, 220, 220);
    margin: 20px;
}
#about h2{
  text-align: center;
}
.about-info{
  /* box-shadow: 4px 4px 20px rgba(173, 172, 172, 0.5); */
  padding: 10px;
  
  border: 1px solid rgb(109, 109, 109);
  width: 80%;
  border-radius: 10px;
  margin: 0px auto;
  
 
}
/* ////////////////////////////////////////////////////////////////////////////////////////////////// */
.education-info{
  padding: 15px;
 border: 1px solid rgb(109, 109, 109);
  width: 80%;
  border-radius: 10px;
  margin: 0px auto;
  color: white;
  
 
}
.education-info h3{
  font-size:20px ;
}
.education-info p{
  color: rgb(150, 150, 150);
}
/* /////////////////////////////////////////////////////////////////////////////////////////////////////// */


/* Skills Section */
#skills {
  width: 80%;
  border-radius: 10px;
  margin: 0 auto;
  /* padding: 50px 0; */
}

/* Section Title */
#skills h2 {
  /* padding-bottom: 20px; */
  text-align: center;
  font-size: 2.5rem;
  
}

/* Subtitles (Technical / Soft Skills) */
#skills h4 {
  color: #8fb3f2;
  margin-top: 10px;
  padding-bottom: 10px;
  font-size: 20px;
  text-align: center; /* Desktop */
}

/* Accordion buttons */
.card-header a {
  font-size: 17px;
  font-weight: 500;
  color: #ffffff;
  display: block;
  width: 100%;
  text-align: left;
  transition: color 0.3s;
}

.card-header a:hover {
  color: #1d4ed8;
}

/* Card body */
.card-body {
  font-size: 0.95rem;
  color: #a7a7a7;
}

/* Responsive adjustments */
@media (max-width: 768px) {
  #skills {
    width: 95%;
  }

  #skills h4 {
    text-align: center; /* Mobile */
  }

  .card-header a {
    font-size: 16px;
  }
}

#skills .card {
 background-color:  rgb(3, 7, 27);
 border: 1px solid rgb(109, 109, 109);
  color: white; /* النص يبان على الخلفية */
}

/* ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// */

.project-container {
  display: flex;
  gap: 20px;
  justify-content: space-between; 
  flex-wrap: wrap;
  width: 80%;
  margin: 0 auto;
  
}

.project-card {
  /* background: #fff; */
  border-radius: 12px;
  border: 1px solid rgb(171, 171, 171);
  overflow: hidden;
  width: 30%;
  transition: transform 0.3s, box-shadow 0.3s;
  
  
}

.project-card img {
  width: 100%;
  height: 250px;
 
}

.project-card h3 {
  margin: 20px 10px;
  font-size: 1.2rem;
  color: #fffdfd;
}

.project-card a {
  display: inline-block;
  margin: 10px 10px;
  color:#6199f9;
  text-decoration: none;
  font-weight: 500;
  
}

@media (max-width: 900px) {
  .project-card {
    width: 45%; /* 2 in a row */
  }
}

@media (max-width: 600px) {
  .project-card {
    width: 100%; /* 1 in a row */
  }
}
.project-card a:hover {
  text-decoration: underline;
}

.project-card:hover {
  transform: translateY(-5px);
  box-shadow: 0 8px 25px rgba(0,0,0,0.15);
}
/* //////////////////////////////////////////////////////////////////////////////////////////////////////////////// */

.contact-info{
   margin: 0 auto;
   border: 1px solid rgb(109, 109, 109);
   width: 80%;
   border-radius: 10px;
   padding: 10px;
   background-color: rgba(3, 7, 27, 0.588);
   
}

#contact p{
    color: rgb(255, 255, 255);
}

#contact a{
    font-size: 22px;
    color: rgb(209, 208, 208);
   
    
}
#contact a:hover{
  text-decoration: underline;
  color: #38bdf8;
}
.contact-icons {
  display: flex;
  justify-content: center; 
  align-items: center;
  gap: 60px;
 
  
}
@media (max-width: 768px) {
  .contact-icons {
    justify-content: center;
    flex-wrap: wrap;
    gap: 15px;
  }
}







